package com.ys.bdtp.graph.data

import android.graphics.PointF

/**
 * 线段数据类
 *
 * @author  庞利祥(sybotan@126.com)
 */
data class SLineF(
        /** 顶点1 X坐标 */
        var x1: Float = 0f,
        /** 顶点1 Y坐标 */
        var y1: Float = 0f,
        /** 顶点2 X坐标 */
        var x2: Float = 0f,
        /** 顶点2 Y坐标 */
        var y2: Float = 0f
)
{

    /** 顶点1 坐标 */
    var p1: PointF = PointF(x1, y1)
        get() = PointF(x1,y1)

    /** 顶点2 坐标 */
    var p2: PointF = PointF(x2, y2)
        get() = PointF(x2, y2)
} // Data Class SLineF